## mbedtls 2.28.6

=== debian/changelog ===
mbedtls (2.28.6-1ubuntu1) noble; urgency=medium

  * Fix ppc64el build failure with upstream-proposed patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Dec 2023 16:18:21 +0100

mbedtls (2.28.6-1) unstable; urgency=medium

  * New upstream version 2.28.6
  * d/copyright: now available under Apache-2.0 or GPL-2+
  * d/copyright: update debian/ copyright information

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 20 Nov 2023 09:34:09 +0100

mbedtls (2.28.5-1) unstable; urgency=medium

  * Team upload.
  * debian/control: Update URL to use team's git
  * New upstream version 2.28.5
  * debian/libmbedcrypto7.symbols: Fix symbols for lintian

 -- Philippe Coval <rzr@users.sf.net>  Wed, 11 Oct 2023 19:57:04 +0200

mbedtls (2.28.4-1) unstable; urgency=medium

  * New upstream version 2.28.4
  * d/control: switch ownership to the Debian IoT Team

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 18 Aug 2023 11:41:40 +0200
