=== debian/changelog ===
mbedtls (2.28.8-1deepin1) unstable; urgency=medium

  * Revert t64.

 -- xiangzelong <xiangzelong@deepin.org>  Sat, 14 Sep 2024 09:53:44 +0800

mbedtls (2.28.8-1) unstable; urgency=medium

  * New upstream version 2.28.8
  * d/libmbedtls-dev.install: install new pkg-config files (Closes: #900015)
  * d/.symbols: add new PSA symbols

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 31 Mar 2024 20:02:32 +0200

mbedtls (2.28.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062859

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 12:19:38 +0000

mbedtls (2.28.7-1) unstable; urgency=medium

  * New upstream version 2.28.7
    - Fixes CVE-2024-23170
    - Fixes CVE-2024-23775
  * d/libmbedcrypto7.symbols: add new MPI symbols

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 27 Jan 2024 13:12:37 +0100
