## mbedtls 3.5.0

=== debian/changelog ===
mbedtls (3.5.0-1) UNRELEASED; urgency=medium

  * debian/control: Update URL to use team's git
  * New upstream version 2.28.5
  * debian/libmbedcrypto7.symbols: Fix symbols for lintian
  * New upstream version 3.5.0 (Closes: #1036231)
  * debian/watch: Use latest

 -- Philippe Coval <rzr@users.sf.net>  Mon, 09 Oct 2023 16:50:50 +0200
