=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian IoT Maintainers <debian-iot-maintainers@alioth-lists.debian.net>
 Uploaders: Andrea Pappacoda <andrea@pappacoda.it>
 Standards-Version: 4.6.2
-Build-Depends: dpkg-dev (>= 1.22.5), cmake, debhelper-compat (= 13)
+Build-Depends: cmake, debhelper-compat (= 13)
 Build-Depends-Arch: faketime <!nocheck>, python3:any
 Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, python3
 Rules-Requires-Root: no
