=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
   filenamemangle=s/.*v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
   pgpmode=none" \
 https://api.github.com/repos/Mbed-TLS/mbedtls/tags \
-https://api.github.com/repos/Mbed-TLS/mbedtls/tarball/refs/tags/v(2\.28\.\d+)
+https://api.github.com/repos/Mbed-TLS/mbedtls/tarball/refs/tags/v(\d+.\d+\.\d+)
 
 #show all versions
 #opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mbedtls-$1\.tar\.gz/ \
